Bug 1569865 - add metrics to cinder volume [NEEDINFO]
Summary: add metrics to cinder volume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.9.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.10.0
Assignee: hchen
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 07:26 UTC by Dmitry Zhukovski
Modified: 2018-08-28 18:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-28 18:29:46 UTC
Target Upstream Version:
dzhukous: needinfo? (hchen)
dzhukous: needinfo? (hchen)


Attachments (Terms of Use)

Description Dmitry Zhukovski 2018-04-20 07:26:37 UTC
Description of problem:
add metrics to cinder volume

Version-Release number of selected component (if applicable):
3.9

How reproducible:
always

Steps to Reproduce:
1. Create new cinder volume, attach it to pod and try to query result from /metrics in kubelet
2.
3.

Actual results:
metrics are missing

Expected results:
kubelet should expose prometheus metrics to /metrics path as well. Then it is easy to read with prometheus.

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

There is approved and merged kubernetes PR https://github.com/kubernetes/kubernetes/pull/62668
Issue https://github.com/kubernetes/kubernetes/issues/62644

Comment 2 Jesse Haka 2018-04-20 08:26:13 UTC
I created pr to origin https://github.com/openshift/origin/pull/19444

Comment 3 hchen 2018-05-03 13:55:10 UTC
19444 merged

Comment 7 Qin Ping 2018-06-07 04:44:08 UTC
Verified in openshift:
oc v3.10.0-0.63.0
openshift v3.10.0-0.63.0
kubernetes v1.10.0+b81c8f8

# uname -a
Linux qe-juzhao-310-qeos-2-master-etcd-1 3.10.0-862.2.3.el7.x86_64 #1 SMP Mon Apr 30 12:37:51 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux

# cat /etc/redhat-release
Red Hat Enterprise Linux Atomic Host release 7.5


Note You need to log in before you can comment on or make changes to this bug.